View Issue Details

IDProjectCategoryView StatusLast Update
0006525GNUnetotherpublic2020-11-14 09:57
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionGit master 
Target Version0.14.0Fixed in Version0.14.0 
Summary0006525: support optional values in JSON parser
DescriptionUse a 'wrapper' function that indicates that the presence of a certain value is optional. Then, go over Taler and other code looking for json_object_get() handling where we then might be able to simplify the code!
TagsNo tags attached.

Activities

Christian Grothoff

2020-10-25 17:12

manager   ~0017037

struct GNUNET_JSON_Specification GNUNET_JSON_spec_mark_optional exists. We still need to actually USE it where useful.

Christian Grothoff

2020-10-25 21:41

manager   ~0017038

Fixed last bugs in bea59c001..d8cf5cbfc. Made good use of it in Taler's merchant.git, 5b138413..0e63f90c

schanzen

2020-11-14 09:57

manager   ~0017136

0.14.0 released

Issue History

Date Modified Username Field Change
2020-08-24 14:32 Christian Grothoff New Issue
2020-08-24 14:32 Christian Grothoff Status new => assigned
2020-08-24 14:32 Christian Grothoff Assigned To => Christian Grothoff
2020-10-25 17:12 Christian Grothoff Note Added: 0017037
2020-10-25 21:41 Christian Grothoff Status assigned => resolved
2020-10-25 21:41 Christian Grothoff Resolution open => fixed
2020-10-25 21:41 Christian Grothoff Fixed in Version => 0.13.4
2020-10-25 21:41 Christian Grothoff Note Added: 0017038
2020-10-25 21:42 Christian Grothoff Target Version => 0.13.4
2020-10-28 13:06 schanzen Target Version 0.13.4 => 0.14.0
2020-10-28 14:14 schanzen Fixed in Version 0.13.4 => 0.14.0
2020-11-14 09:57 schanzen Note Added: 0017136
2020-11-14 09:57 schanzen Status resolved => closed